# norootforbuild
%define ZendLibname ZendGuardLoader
%define pkg_version %(php-config --version | awk -F. '{print $1"."$2 }' 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
%define php_version %(php-config --version 2>/dev/null)

%if "%{pkg_version}" == "5.6"
%define pkg_name zend-loader-php%{pkg_version}-linux
%ifarch x86_64
%define archsuffix -x86_64
%else
%define archsuffix -i386
%endif
%else
 %if "%{pkg_version}" == "5.5"
 %define pkg_name zend-loader-php%{pkg_version}-linux
 %ifarch x86_64
 %define archsuffix -x86_64
 %else
 %define archsuffix -i386
 %endif
 %else
  %if "%{pkg_version}" == "5.4"
  %define prever 70429-PHP
  %define pkg_name ZendGuardLoader-%{prever}-%{pkg_version}-linux-glibc23
  %ifarch x86_64
  %define archsuffix -x86_64
  %else
  %define archsuffix -i386
  %endif
  %else
  %define prever php
  %define pkg_name ZendGuardLoader-%{prever}-%{pkg_version}-linux-glibc23
  %ifarch x86_64
  %define archsuffix -x86_64
  %else
  %define archsuffix -i386
  %endif 
  %endif
 %endif
%endif
#
Name:		php5-zendguardloader
Version:	%{pkg_version}
Release:	7.8
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel gcc gcc-c++ chrpath
Requires:	php5 = %{php_version}
#
URL:		http://www.zend.com/
Source0:	%{pkg_name}%{archsuffix}.tar.gz
Summary:	This package contains the Zend Guard Loader from Zend Technologies Ltd

%description
This package contains the Zend Guard Loader from Zend Technologies Ltd.

%prep
%setup -n %{pkg_name}%{archsuffix}

%build

%install
%if "%{pkg_version}" == "5.3" || "%{pkg_version}" == "5.4"
%__install -D php-%{pkg_version}.x/%{ZendLibname}.so %{buildroot}%{_libdir}/php5/extensions/%{ZendLibname}.so
%else
chrpath -d %{ZendLibname}.so || : 
chrpath -d opcache.so || :
%__install -D %{ZendLibname}.so %{buildroot}%{_libdir}/php5/extensions/%{ZendLibname}.so
%__install opcache.so %{buildroot}%{_libdir}/php5/extensions/opcache.so
chrpath -d %{buildroot}%{_libdir}/php5/extensions/%{ZendLibname}.so || :
chrpath -d %{buildroot}%{_libdir}/php5/extensions/opcache.so || :
%endif
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable %{ZendLibname} extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo "; extension = %{ZendLibname}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_extension = %{_libdir}/php5/extensions/%{ZendLibname}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_loader.enable = 1" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo "; Disable license checks (for performance reasons)" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_loader.disable_licensing=0" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo "; The Obfuscation level supported by Zend Guard Loader. The levels are detailed in the official Zend Guard Documentation. 0 - no obfuscation is enabled" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_loader.obfuscation_level_support=3" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo "; Path to where licensed Zend products should look for the product license. For more information on how to create a license file, see the Zend Guard User Guide" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini
echo ";zend_loader.license_path=" >> %{buildroot}%{_sysconfdir}/php5/conf.d/zendguardloader.ini

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%config(noreplace) %{_sysconfdir}/php5/conf.d/zendguardloader.ini
%defattr(0755,root,root)
%{_libdir}/php5/extensions/%{ZendLibname}.so
%if "%{pkg_version}" >= "5.5"
%{_libdir}/php5/extensions/opcache.so
%endif

%changelog
* Fri Apr 10 2015 cs@linux-administrator.com
- add ZendGuardLoader 7.0 for php 5.5 & 5.6 versions
* Sun Nov 10 2013 cs@linux-administrator.com
- build 5.3 & 5.4 versions
* Tue Mar 20 2012 cs@linux-administrator.com
- initial package
